Skip to main content
GET
List Document Configurations

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

document_type
enum<string> | null

Document type to filter by. If not provided, all documents will be returned.

Available options:
template,
library
format
enum<string> | null

Document format to filter by. If not provided, all documents will be returned.

Available options:
google,
microsoft

Response

Successful Response

organization_id
string
required

ID of the organization this document belongs to

type
enum<string>
required

Type of the document (template or library)

Available options:
template,
library
name
string
required

Name of the document

description
string
required

Detailed description of the document

id
string

Unique identifier

created_at
string

Creation timestamp

updated_at
string

Last update timestamp

created_by
string
default:""

Email of user (non FlashDocs) who created the document

status
enum<string>
default:in_progress

Current status of the document

Available options:
deployed,
in_progress
google_document_id
string | null

ID of the corresponding Google Slides document

knowledge_base_item_ids
string[]

item_id for each knowledge base item associated with document.

format
enum<string>
default:google

Format of the document google vs microsoft

Available options:
google,
microsoft